org.apache.ignite.events

## Interface EventType

    public interface EventType

Contains event type constants. The decision to use class and not enumeration dictated by allowing users to create their own events and/or event types which would be impossible with enumerations.

Note that this interface defines not only individual type constants but arrays of types as well to be conveniently used with `IgniteEvents.localListen(IgnitePredicate, int...)` method:

- `EVTS_CACHE`
- `EVTS_CACHE_LIFECYCLE`
- `EVTS_CACHE_REBALANCE`
- `EVTS_CACHE_QUERY`
- `EVTS_CHECKPOINT`
- `EVTS_DEPLOYMENT`
- `EVTS_DISCOVERY`
- `EVTS_DISCOVERY_ALL`
- `EVTS_ERROR`
- `EVTS_IGFS`
- `EVTS_JOB_EXECUTION`
- `EVTS_TASK_EXECUTION`

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

# Events and Performance

Note that by default all events in Ignite are enabled and therefore generated and stored by whatever event storage SPI is configured. Ignite can and often does generate thousands events per seconds under the load and therefore it creates a significant additional load on the system. If these events are not needed by the application this load is unnecessary and leads to significant performance degradation.

It is highly recommended to enable only those events that your application logic requires by using either `IgniteConfiguration.getIncludeEventTypes()` method in Ignite configuration. Note that certain events are required for Ignite's internal operations and such events will still be generated but not stored by event storage SPI if they are disabled in Ignite configuration.

### Field Summary

Fields
`static int` `EVT_CACHE_ENTRY_CREATED` Built-in event type: entry created.
`static int` `EVT_CACHE_ENTRY_DESTROYED` Built-in event type: entry destroyed.
`static int` `EVT_CACHE_ENTRY_EVICTED` Built-in event type: entry evicted.
`static int` `EVT_CACHE_NODES_LEFT` Built-in event type: cache nodes left.
`static int` `EVT_CACHE_OBJECT_EXPIRED` Built-in event type: cache object was expired when reading it.
`static int` `EVT_CACHE_OBJECT_LOCKED` Built-in event type: object locked.
`static int` `EVT_CACHE_OBJECT_PUT` Built-in event type: object put.
`static int` `EVT_CACHE_OBJECT_READ` Built-in event type: object read.
`static int` `EVT_CACHE_OBJECT_REMOVED` Built-in event type: object removed.
`static int` `EVT_CACHE_OBJECT_UNLOCKED` Built-in event type: object unlocked.
`static int` `EVT_CACHE_QUERY_EXECUTED` Built-in event type: query executed.
`static int` `EVT_CACHE_QUERY_OBJECT_READ` Built-in event type: query entry read.
`static int` `EVT_CACHE_REBALANCE_OBJECT_LOADED` Built-in event type: cache entry rebalanced.
`static int` `EVT_CACHE_REBALANCE_OBJECT_UNLOADED` Built-in event type: cache entry unloaded.
`static int` `EVT_CACHE_REBALANCE_PART_DATA_LOST` Built-in event type: all nodes that hold partition left topology.
`static int` `EVT_CACHE_REBALANCE_PART_LOADED` Built-in event type: cache partition loaded.
`static int` `EVT_CACHE_REBALANCE_PART_MISSED` Built-in event type: cache partition was not sent to remote node.
`static int` `EVT_CACHE_REBALANCE_PART_SUPPLIED` Built-in event type: cache partition was fully sent to remote node.
`static int` `EVT_CACHE_REBALANCE_PART_UNLOADED` Built-in event type: cache partition unloaded.
`static int` `EVT_CACHE_REBALANCE_STARTED` Built-in event type: cache rebalance started.
`static int` `EVT_CACHE_REBALANCE_STOPPED` Built-in event type: cache rebalance stopped.
`static int` `EVT_CACHE_STARTED` Built-in event type: cache started.
`static int` `EVT_CACHE_STOPPED` Built-in event type: cache started.
`static int` `EVT_CHECKPOINT_LOADED` Built-in event type: checkpoint was loaded.
`static int` `EVT_CHECKPOINT_REMOVED` Built-in event type: checkpoint was removed.
`static int` `EVT_CHECKPOINT_SAVED` Built-in event type: checkpoint was saved.
`static int` `EVT_CLASS_DEPLOY_FAILED` Built-in event type: non-task class deployment failed.
`static int` `EVT_CLASS_DEPLOYED` Built-in event type: non-task class deployed.
`static int` `EVT_CLASS_UNDEPLOYED` Built-in event type: non-task class undeployed.
`static int` `EVT_CLIENT_NODE_DISCONNECTED` Built-in event type: client node disconnected.
`static int` `EVT_CLIENT_NODE_RECONNECTED` Built-in event type: client node reconnected.
`static int` `EVT_CLUSTER_ACTIVATED` Built-in event type: Cluster activation state changed.
`static int` `EVT_CLUSTER_DEACTIVATED` Built-in event type: Cluster activation state changed.
`static int` `EVT_CONSISTENCY_VIOLATION` Built-in event type: Cache consistency violation detected.
`static int` `EVT_IGFS_DIR_CREATED` Built-in event type: IGFS directory created.
`static int` `EVT_IGFS_DIR_DELETED` Built-in event type: IGFS directory deleted.
`static int` `EVT_IGFS_DIR_RENAMED` Built-in event type: IGFS directory renamed.
`static int` `EVT_IGFS_FILE_CLOSED_READ` Built-in event type: IGFS file closed.
`static int` `EVT_IGFS_FILE_CLOSED_WRITE` Built-in event type: IGFS file closed.
`static int` `EVT_IGFS_FILE_CREATED` Built-in event type: IGFS file created.
`static int` `EVT_IGFS_FILE_DELETED` Built-in event type: IGFS file deleted.
`static int` `EVT_IGFS_FILE_OPENED_READ` Built-in event type: IGFS file opened for reading.
`static int` `EVT_IGFS_FILE_OPENED_WRITE` Built-in event type: IGFS file opened for writing.
`static int` `EVT_IGFS_FILE_PURGED` Built-in event type: IGFS file purged.
`static int` `EVT_IGFS_FILE_RENAMED` Built-in event type: IGFS file renamed.
`static int` `EVT_IGFS_META_UPDATED` Built-in event type: IGFS file or directory metadata updated.
`static int` `EVT_JOB_CANCELLED` Built-in event type: grid job cancelled.
`static int` `EVT_JOB_FAILED` Built-in event type: grid job failed.
`static int` `EVT_JOB_FAILED_OVER` Built-in event type: grid job failed over.
`static int` `EVT_JOB_FINISHED` Built-in event type: grid job finished.
`static int` `EVT_JOB_MAPPED` Built-in event type: grid job was mapped in `ComputeTask.map(List, Object)` method.
`static int` `EVT_JOB_QUEUED` Built-in event type: grid job queued.
`static int` `EVT_JOB_REJECTED` Built-in event type: grid job rejected during collision resolution.
`static int` `EVT_JOB_RESULTED` Built-in event type: grid job result was received by `ComputeTask.result(org.apache.ignite.compute.ComputeJobResult, List)` method.
`static int` `EVT_JOB_STARTED` Built-in event type: grid job started.
`static int` `EVT_JOB_TIMEDOUT` Built-in event type: grid job timed out.
`static int` `EVT_MANAGEMENT_TASK_STARTED` Built-in event type: Visor or Web Console management task started.
`static int` `EVT_NODE_FAILED` Built-in event type: node failed.
`static int` `EVT_NODE_JOINED` Built-in event type: node joined topology.
`static int` `EVT_NODE_LEFT` Built-in event type: node has normally left topology.
`static int` `EVT_NODE_METRICS_UPDATED` Built-in event type: node metrics updated.
`static int` `EVT_NODE_SEGMENTED` Built-in event type: local node segmented.
`static int` `EVT_TASK_DEPLOY_FAILED` Built-in event type: task deployment failed.
`static int` `EVT_TASK_DEPLOYED` Built-in event type: task deployed.
`static int` `EVT_TASK_FAILED` Built-in event type: task failed.
`static int` `EVT_TASK_FINISHED` Built-in event type: task finished.
`static int` `EVT_TASK_REDUCED` Built-in event type: task reduced.
`static int` `EVT_TASK_SESSION_ATTR_SET` Built-in event type: task session attribute set.
`static int` `EVT_TASK_STARTED` Built-in event type: task started.
`static int` `EVT_TASK_TIMEDOUT` Built-in event type: task timed out.
`static int` `EVT_TASK_UNDEPLOYED` Built-in event type: task undeployed.
`static int` `EVT_TX_COMMITTED` Built-in event type: Transaction has been committed.
`static int` `EVT_TX_RESUMED` Built-in event type: Transaction has been resumed.
`static int` `EVT_TX_ROLLED_BACK` Built-in event type: Transaction has been rolled back.
`static int` `EVT_TX_STARTED` Built-in event type: Transaction has been started.
`static int` `EVT_TX_SUSPENDED` Built-in event type: Transaction has been suspended.
`static int` `EVT_WAL_SEGMENT_ARCHIVED` Built-in event type: WAL segment movement to archive folder completed Fired for each completed WAL segment which was moved to archive NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.
`static int` `EVT_WAL_SEGMENT_COMPACTED` Built-in event type: WAL archive segment compaction is completed.
`static int[]` `EVTS_ALL` All Ignite events (including metric update event).
`static int[]` `EVTS_ALL_MINUS_METRIC_UPDATE` All Ignite events (excluding metric update event).
`static int[]` `EVTS_CACHE` All cache events.
`static int[]` `EVTS_CACHE_LIFECYCLE` All cache lifecycle events.
`static int[]` `EVTS_CACHE_QUERY` All cache query events.
`static int[]` `EVTS_CACHE_REBALANCE` All cache rebalance events.
`static int[]` `EVTS_CHECKPOINT` All checkpoint events.
`static int[]` `EVTS_CLUSTER_ACTIVATION` All cluster activation events.
`static int[]` `EVTS_DEPLOYMENT` All deployment events.
`static int[]` `EVTS_DISCOVERY` All discovery events except for `EVT_NODE_METRICS_UPDATED`.
`static int[]` `EVTS_DISCOVERY_ALL` All discovery events.
`static int[]` `EVTS_ERROR` All events indicating an error or failure condition.
`static int[]` `EVTS_IGFS` All Igfs events.
`static int[]` `EVTS_JOB_EXECUTION` All grid job execution events.
`static int[]` `EVTS_TASK_EXECUTION` All grid task execution events.
`static int[]` `EVTS_TX` All Transaction events.

### Field Detail

#### EVT_CHECKPOINT_SAVED

    static final int EVT_CHECKPOINT_SAVED

Built-in event type: checkpoint was saved.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CheckpointEvent`, Constant Field Values

#### EVT_CHECKPOINT_LOADED

    static final int EVT_CHECKPOINT_LOADED

Built-in event type: checkpoint was loaded.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CheckpointEvent`, Constant Field Values

#### EVT_CHECKPOINT_REMOVED

    static final int EVT_CHECKPOINT_REMOVED

Built-in event type: checkpoint was removed. Reasons are:

- timeout expired, or
- or it was manually removed, or
- it was automatically removed by the task session

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CheckpointEvent`, Constant Field Values

#### EVT_NODE_JOINED

    static final int EVT_NODE_JOINED

Built-in event type: node joined topology.
New node has been discovered and joined grid topology. Note that even though a node has been discovered there could be a number of warnings in the log. In certain situations Ignite doesn't prevent a node from joining but prints warning messages into the log.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_NODE_LEFT

    static final int EVT_NODE_LEFT

Built-in event type: node has normally left topology.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_NODE_FAILED

    static final int EVT_NODE_FAILED

Built-in event type: node failed.
Ignite detected that node has presumably crashed and is considered failed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_NODE_METRICS_UPDATED

    static final int EVT_NODE_METRICS_UPDATED

Built-in event type: node metrics updated.
Generated when node's metrics are updated. In most cases this callback is invoked with every metrics update received from a node (including local node).

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_NODE_SEGMENTED

    static final int EVT_NODE_SEGMENTED

Built-in event type: local node segmented.
Generated when node determines that it runs in invalid network segment.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_CLIENT_NODE_DISCONNECTED

    static final int EVT_CLIENT_NODE_DISCONNECTED

Built-in event type: client node disconnected.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_CLIENT_NODE_RECONNECTED

    static final int EVT_CLIENT_NODE_RECONNECTED

Built-in event type: client node reconnected.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DiscoveryEvent`, Constant Field Values

#### EVT_TASK_STARTED

    static final int EVT_TASK_STARTED

Built-in event type: task started.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TaskEvent`, Constant Field Values

#### EVT_TASK_FINISHED

    static final int EVT_TASK_FINISHED

Built-in event type: task finished.
Task got finished. This event is triggered every time a task finished without exception.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TaskEvent`, Constant Field Values

#### EVT_TASK_FAILED

    static final int EVT_TASK_FAILED

Built-in event type: task failed.
Task failed. This event is triggered every time a task finished with an exception. Note that prior to this event, there could be other events recorded specific to the failure.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TaskEvent`, Constant Field Values

#### EVT_TASK_TIMEDOUT

    static final int EVT_TASK_TIMEDOUT

Built-in event type: task timed out.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TaskEvent`, Constant Field Values

#### EVT_TASK_SESSION_ATTR_SET

    static final int EVT_TASK_SESSION_ATTR_SET

Built-in event type: task session attribute set.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TaskEvent`, Constant Field Values

#### EVT_TASK_REDUCED

    static final int EVT_TASK_REDUCED

Built-in event type: task reduced.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  Constant Field Values

#### EVT_MANAGEMENT_TASK_STARTED

    static final int EVT_MANAGEMENT_TASK_STARTED

Built-in event type: Visor or Web Console management task started.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TaskEvent`, Constant Field Values

#### EVT_CLASS_DEPLOYED

    static final int EVT_CLASS_DEPLOYED

Built-in event type: non-task class deployed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DeploymentEvent`, Constant Field Values

#### EVT_CLASS_UNDEPLOYED

    static final int EVT_CLASS_UNDEPLOYED

Built-in event type: non-task class undeployed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DeploymentEvent`, Constant Field Values

#### EVT_CLASS_DEPLOY_FAILED

    static final int EVT_CLASS_DEPLOY_FAILED

Built-in event type: non-task class deployment failed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DeploymentEvent`, Constant Field Values

#### EVT_TASK_DEPLOYED

    static final int EVT_TASK_DEPLOYED

Built-in event type: task deployed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DeploymentEvent`, Constant Field Values

#### EVT_TASK_UNDEPLOYED

    static final int EVT_TASK_UNDEPLOYED

Built-in event type: task undeployed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DeploymentEvent`, Constant Field Values

#### EVT_TASK_DEPLOY_FAILED

    static final int EVT_TASK_DEPLOY_FAILED

Built-in event type: task deployment failed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `DeploymentEvent`, Constant Field Values

#### EVT_JOB_MAPPED

    static final int EVT_JOB_MAPPED

Built-in event type: grid job was mapped in `ComputeTask.map(List, Object)` method.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_RESULTED

    static final int EVT_JOB_RESULTED

Built-in event type: grid job result was received by `ComputeTask.result(org.apache.ignite.compute.ComputeJobResult, List)` method.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_FAILED_OVER

    static final int EVT_JOB_FAILED_OVER

Built-in event type: grid job failed over.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_STARTED

    static final int EVT_JOB_STARTED

Built-in event type: grid job started.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_FINISHED

    static final int EVT_JOB_FINISHED

Built-in event type: grid job finished.
Job has successfully completed and produced a result which from the user perspective can still be either negative or positive.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_TIMEDOUT

    static final int EVT_JOB_TIMEDOUT

Built-in event type: grid job timed out.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_REJECTED

    static final int EVT_JOB_REJECTED

Built-in event type: grid job rejected during collision resolution.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_FAILED

    static final int EVT_JOB_FAILED

Built-in event type: grid job failed.
Job has failed. This means that there was some error event during job execution and job did not produce a result.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_QUEUED

    static final int EVT_JOB_QUEUED

Built-in event type: grid job queued.
Job arrived for execution and has been queued (added to passive queue during collision resolution).

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_JOB_CANCELLED

    static final int EVT_JOB_CANCELLED

Built-in event type: grid job cancelled.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `JobEvent`, Constant Field Values

#### EVT_CACHE_ENTRY_CREATED

    static final int EVT_CACHE_ENTRY_CREATED

Built-in event type: entry created.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_ENTRY_DESTROYED

    static final int EVT_CACHE_ENTRY_DESTROYED

Built-in event type: entry destroyed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_ENTRY_EVICTED

    static final int EVT_CACHE_ENTRY_EVICTED

Built-in event type: entry evicted.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_OBJECT_PUT

    static final int EVT_CACHE_OBJECT_PUT

Built-in event type: object put.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_OBJECT_READ

    static final int EVT_CACHE_OBJECT_READ

Built-in event type: object read.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_OBJECT_REMOVED

    static final int EVT_CACHE_OBJECT_REMOVED

Built-in event type: object removed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_OBJECT_LOCKED

    static final int EVT_CACHE_OBJECT_LOCKED

Built-in event type: object locked.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_OBJECT_UNLOCKED

    static final int EVT_CACHE_OBJECT_UNLOCKED

Built-in event type: object unlocked.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_OBJECT_EXPIRED

    static final int EVT_CACHE_OBJECT_EXPIRED

Built-in event type: cache object was expired when reading it.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_STARTED

    static final int EVT_CACHE_REBALANCE_STARTED

Built-in event type: cache rebalance started.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_STOPPED

    static final int EVT_CACHE_REBALANCE_STOPPED

Built-in event type: cache rebalance stopped.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_PART_LOADED

    static final int EVT_CACHE_REBALANCE_PART_LOADED

Built-in event type: cache partition loaded.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_PART_UNLOADED

    static final int EVT_CACHE_REBALANCE_PART_UNLOADED

Built-in event type: cache partition unloaded.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_OBJECT_LOADED

    static final int EVT_CACHE_REBALANCE_OBJECT_LOADED

Built-in event type: cache entry rebalanced.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_OBJECT_UNLOADED

    static final int EVT_CACHE_REBALANCE_OBJECT_UNLOADED

Built-in event type: cache entry unloaded.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_PART_DATA_LOST

    static final int EVT_CACHE_REBALANCE_PART_DATA_LOST

Built-in event type: all nodes that hold partition left topology.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_PART_SUPPLIED

    static final int EVT_CACHE_REBALANCE_PART_SUPPLIED

Built-in event type: cache partition was fully sent to remote node.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_REBALANCE_PART_MISSED

    static final int EVT_CACHE_REBALANCE_PART_MISSED

Built-in event type: cache partition was not sent to remote node.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheRebalancingEvent`, Constant Field Values

#### EVT_CACHE_QUERY_EXECUTED

    static final int EVT_CACHE_QUERY_EXECUTED

Built-in event type: query executed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheQueryExecutedEvent`, Constant Field Values

#### EVT_CACHE_QUERY_OBJECT_READ

    static final int EVT_CACHE_QUERY_OBJECT_READ

Built-in event type: query entry read.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheQueryExecutedEvent`, Constant Field Values

#### EVT_CACHE_STARTED

    static final int EVT_CACHE_STARTED

Built-in event type: cache started.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_STOPPED

    static final int EVT_CACHE_STOPPED

Built-in event type: cache started.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_CACHE_NODES_LEFT

    static final int EVT_CACHE_NODES_LEFT

Built-in event type: cache nodes left.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheEvent`, Constant Field Values

#### EVT_IGFS_FILE_CREATED

    static final int EVT_IGFS_FILE_CREATED

Built-in event type: IGFS file created.

Fired when IGFS component creates new file.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_RENAMED

    static final int EVT_IGFS_FILE_RENAMED

Built-in event type: IGFS file renamed.

Fired when IGFS component renames an existing file.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_DELETED

    static final int EVT_IGFS_FILE_DELETED

Built-in event type: IGFS file deleted.

Fired when IGFS component deletes a file.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_OPENED_READ

    static final int EVT_IGFS_FILE_OPENED_READ

Built-in event type: IGFS file opened for reading.

Fired when IGFS file is opened for reading.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_OPENED_WRITE

    static final int EVT_IGFS_FILE_OPENED_WRITE

Built-in event type: IGFS file opened for writing.

Fired when IGFS file is opened for writing.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_META_UPDATED

    static final int EVT_IGFS_META_UPDATED

Built-in event type: IGFS file or directory metadata updated.

Fired when IGFS file or directory metadata is updated.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_CLOSED_WRITE

    static final int EVT_IGFS_FILE_CLOSED_WRITE

Built-in event type: IGFS file closed.

Fired when IGFS file is closed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_CLOSED_READ

    static final int EVT_IGFS_FILE_CLOSED_READ

Built-in event type: IGFS file closed.

Fired when IGFS file is closed.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_DIR_CREATED

    static final int EVT_IGFS_DIR_CREATED

Built-in event type: IGFS directory created.

Fired when IGFS component creates new directory.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_DIR_RENAMED

    static final int EVT_IGFS_DIR_RENAMED

Built-in event type: IGFS directory renamed.

Fired when IGFS component renames an existing directory.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_DIR_DELETED

    static final int EVT_IGFS_DIR_DELETED

Built-in event type: IGFS directory deleted.

Fired when IGFS component deletes a directory.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_IGFS_FILE_PURGED

    static final int EVT_IGFS_FILE_PURGED

Built-in event type: IGFS file purged.

Fired when IGFS file data was actually removed from cache.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `IgfsEvent`, Constant Field Values

#### EVT_WAL_SEGMENT_ARCHIVED

    static final int EVT_WAL_SEGMENT_ARCHIVED

Built-in event type: WAL segment movement to archive folder completed

Fired for each completed WAL segment which was moved to archive

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `WalSegmentArchivedEvent`, Constant Field Values

#### EVT_TX_STARTED

    static final int EVT_TX_STARTED

Built-in event type: Transaction has been started.

Fired for each started transaction except system transactions.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TransactionStateChangedEvent`, Constant Field Values

#### EVT_TX_COMMITTED

    static final int EVT_TX_COMMITTED

Built-in event type: Transaction has been committed.

Fired for each committed transaction except system transactions.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TransactionStateChangedEvent`, Constant Field Values

#### EVT_TX_ROLLED_BACK

    static final int EVT_TX_ROLLED_BACK

Built-in event type: Transaction has been rolled back.

Fired for each rolled back transaction except system transactions.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TransactionStateChangedEvent`, Constant Field Values

#### EVT_TX_SUSPENDED

    static final int EVT_TX_SUSPENDED

Built-in event type: Transaction has been suspended.

Fired for each suspended transaction except system transactions.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TransactionStateChangedEvent`, Constant Field Values

#### EVT_TX_RESUMED

    static final int EVT_TX_RESUMED

Built-in event type: Transaction has been resumed.

Fired for each resumed transaction except system transactions.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `TransactionStateChangedEvent`, Constant Field Values

#### EVT_WAL_SEGMENT_COMPACTED

    static final int EVT_WAL_SEGMENT_COMPACTED

Built-in event type: WAL archive segment compaction is completed.

Fired for each WAL archive segment upon its compaction completion.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `WalSegmentArchivedEvent`, Constant Field Values

#### EVT_CONSISTENCY_VIOLATION

    static final int EVT_CONSISTENCY_VIOLATION

Built-in event type: Cache consistency violation detected.

Fired for each consistency violation incident.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `CacheConsistencyViolationEvent`, `IgniteCache.withReadRepair()`, Constant Field Values

#### EVT_CLUSTER_ACTIVATED

    static final int EVT_CLUSTER_ACTIVATED

Built-in event type: Cluster activation state changed.

Fired when cluster activated.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `ClusterActivationEvent`, Constant Field Values

#### EVT_CLUSTER_DEACTIVATED

    static final int EVT_CLUSTER_DEACTIVATED

Built-in event type: Cluster activation state changed.

Fired when cluster deactivated.

NOTE: all types in range from 1 to 1000 are reserved for internal Ignite events and should not be used by user-defined events.

See Also:
  `ClusterActivationEvent`, Constant Field Values

#### EVTS_CHECKPOINT

    static final int[] EVTS_CHECKPOINT

All checkpoint events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all checkpoint events.

See Also:
  `CheckpointEvent`

#### EVTS_DEPLOYMENT

    static final int[] EVTS_DEPLOYMENT

All deployment events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all deployment events.

See Also:
  `DeploymentEvent`

#### EVTS_ERROR

    static final int[] EVTS_ERROR

All events indicating an error or failure condition. It is convenient to use when fetching all events indicating error or failure.

#### EVTS_DISCOVERY

    static final int[] EVTS_DISCOVERY

All discovery events except for `EVT_NODE_METRICS_UPDATED`. Subscription to `EVT_NODE_METRICS_UPDATED` can generate massive amount of event processing in most cases is not necessary. If this event is indeed required you can subscribe to it individually or use `EVTS_DISCOVERY_ALL` array.

This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all discovery events except for `EVT_NODE_METRICS_UPDATED`.

See Also:
  `DiscoveryEvent`

#### EVTS_DISCOVERY_ALL

    static final int[] EVTS_DISCOVERY_ALL

All discovery events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all discovery events.

See Also:
  `DiscoveryEvent`

#### EVTS_JOB_EXECUTION

    static final int[] EVTS_JOB_EXECUTION

All grid job execution events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all grid job execution events.

See Also:
  `JobEvent`

#### EVTS_TASK_EXECUTION

    static final int[] EVTS_TASK_EXECUTION

All grid task execution events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all grid task execution events.

See Also:
  `TaskEvent`

#### EVTS_CACHE

    static final int[] EVTS_CACHE

All cache events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all cache events.

#### EVTS_CACHE_REBALANCE

    static final int[] EVTS_CACHE_REBALANCE

All cache rebalance events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all cache rebalance events.

#### EVTS_CACHE_LIFECYCLE

    static final int[] EVTS_CACHE_LIFECYCLE

All cache lifecycle events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all cache lifecycle events.

#### EVTS_CACHE_QUERY

    static final int[] EVTS_CACHE_QUERY

All cache query events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all cache query events and requires to set `MemoryEventStorageSpi` or other implementation different from `NoopEventStorageSpi`.

#### EVTS_IGFS

    static final int[] EVTS_IGFS

All Igfs events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all cloud events.

See Also:
  `IgfsEvent`

#### EVTS_TX

    static final int[] EVTS_TX

All Transaction events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all transaction events.

See Also:
  `TransactionStateChangedEvent`

#### EVTS_CLUSTER_ACTIVATION

    static final int[] EVTS_CLUSTER_ACTIVATION

All cluster activation events. This array can be directly passed into `IgniteEvents.localListen(IgnitePredicate, int...)` method to subscribe to all cloud events.

See Also:
  `ClusterActivationEvent`

#### EVTS_ALL

    static final int[] EVTS_ALL

All Ignite events (including metric update event).

#### EVTS_ALL_MINUS_METRIC_UPDATE

    static final int[] EVTS_ALL_MINUS_METRIC_UPDATE

All Ignite events (excluding metric update event).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020